Date: Thursday, April 12, 2018 @ 19:38:57
  Author: arojas
Revision: 321651

archrelease: copy trunk to staging-x86_64

Added:
  cfitsio/repos/staging-x86_64/
  cfitsio/repos/staging-x86_64/PKGBUILD
    (from rev 321650, cfitsio/trunk/PKGBUILD)

----------+
 PKGBUILD |   40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

Copied: cfitsio/repos/staging-x86_64/PKGBUILD (from rev 321650, 
cfitsio/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD                             (rev 0)
+++ staging-x86_64/PKGBUILD     2018-04-12 19:38:57 UTC (rev 321651)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer:
+# Contributor: Andrea Scarpino <and...@archlinux.org>
+# Contributor: Tobias Powalowski <tp...@archlinux.org>
+
+pkgname=cfitsio
+pkgver=3.440
+pkgrel=1
+pkgdesc="A library of C and Fortran subroutines for reading and writing data 
files in FITS (Flexible Image Transport System) data format"
+arch=(x86_64)
+url="http://heasarc.gsfc.nasa.gov/fitsio/";
+license=(custom)
+depends=(curl)
+source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz";)
+sha256sums=('dd1cad4208fb7a9462914177f26672ccfb21fc8a1f6366e41e7b69b13ad7fd24')
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --enable-reentrant
+  make shared
+  make utils
+}
+
+check() {
+  cd $pkgname
+  LD_LIBRARY_PATH=. ./testprog > testprog.lis
+  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
+  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 License.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+# Fix conflicts with ccfits and smem
+  rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
+}

Reply via email to